## org.hibernate.engine.jdbc.batch.spi
Interface BatchBuilder

All Superinterfaces:
  Manageable, Serializable, Service

All Known Implementing Classes:
  BatchBuilderImpl

    public interface BatchBuilder

extends Service, Manageable

A builder for `Batch` instances

Method Summary
`Batch` `buildBatch(BatchKey key, JdbcCoordinator jdbcCoordinator)` Build a batch.

Methods inherited from interface org.hibernate.service.spi.Manageable
`getManagementBean, getManagementDomain, getManagementServiceType`

Method Detail

### buildBatch

    Batch buildBatch(BatchKey key,
                     JdbcCoordinator jdbcCoordinator)

  Build a batch.

  Parameters:
    `key` - Value to uniquely identify a batch
    `jdbcCoordinator` - The JDBC coordinator with which to coordinate efforts
  Returns:
    The built batch

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.